heuristicjohn
Posts: 39
Joined: Thu Jan 31, 2013 11:55 pm

minimu9 installation problem

Wed Dec 31, 2014 6:49 pm

I have a minimu9 gyro/acc/mag connected via the i2c interface on a RPi B+. When I run i2cdetect I can see devices present on addresses 1D and 6B, as expected. Following the instructions on David Grayson's website, I used wget to download the debian software, and got the message " ' minimu9-ahrs_2.0.0-1-armhf.deb ' saved ", which looked promising.
However, the next step failed: when, as recommended, I entered
sudo dpkg -i minimu9-ahrs_2.0.0-1_armhf.deb
I got the error message " 'minimu9-ahrs_2.0.0-1_armhf.deb' is not a debian format archive"

Following advice elsewhere on this forum, I have also tried
sudo aptitude install minimu9-ahrs
and also sudo aptitude minimu9-ahrs_2.0.0-1_armhf.deb
but these both give the error message "couldn't find any package whose name or description matched .... " (though when I enter ' ls' I can see the file is there)
I would appreciate any advice on how to make progress here.

DirkS
Posts: 9877
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: minimu9 installation problem

Wed Dec 31, 2014 7:18 pm

My first guess is that you had a problem with the download of the deb file.
What is the output of

Code: Select all

file minimu9-ahrs_2.0.0-1_armhf.deb
Gr.
Dirk.

heuristicjohn
Posts: 39
Joined: Thu Jan 31, 2013 11:55 pm

Re: minimu9 installation problem

Wed Dec 31, 2014 10:27 pm

hello Dirk - thanks for your interest
When I entered the file command, I got an error message 'no such file or folder'.
I repeated the download process:

Code: Select all

wget http://www.davidegrayson.com/minimu9-ahrs/debian/minimu9-ahrs_2.0.0-1_armht.deb
Connecting to www.davidegrayson.com (www.davidegrayson.com)1208.94.118.158|:80..connected
HTTP request set, awaiting response ..200 OK
Length: 32888 (32k) [text/plain]
Saving to 'minimu9-ahrs_2.0.0-1_armhf.deb.1'
100%[============>] 32,888
2014-12-31 21:24:29 (227 KB/s) - 'minimu9-ahrs-2.0.0-1_armhf.deb.1' saved [32888/32888]
When I now enter the ls command, files listed include minimu9-ahrs_2.0.0-1.armhf.deb (shown in red) and minimu9-ahrs_2.0.0-1.armhf.deb.1 (shown in white)
I now try to use dpkg again:

Code: Select all

sudo dpkg -i minimu9-ahrs_2.0.0-1_armhf.deb.1
Selecting previously unselected package minimu-ahrs.
(Reading database...74271 files and directories currently installed)
Unpacking minimu9-ahrs (from minimu9-ahrs-2.0.0-1_armhf.deb.1) ...
dpkg: dependency problems prevent configuration of minimu9-ahrs:
 Package libboost-program-options1.49.0 (>= 1.49.0-1): however:
  Package  libboost-program-options1.49.0 is not installed.
 minimu9-ahrs depends on python-scipy; however:
  Package python-scipy is not installed.

dpkg: error processing minimu9-ahrs (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ..
Errors were encountered while processing
 minimu9-ahrs 
? where have I gone wrong ?
Regards heuristicjohn

DirkS
Posts: 9877
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: minimu9 installation problem

Wed Dec 31, 2014 10:49 pm

Try

Code: Select all

sudo apt-get install --fix-missing
This should install the missing dependencies.

heuristicjohn
Posts: 39
Joined: Thu Jan 31, 2013 11:55 pm

Re: minimu9 installation problem

Thu Jan 01, 2015 9:29 pm

Success ! I re-ran the installation program using

Code: Select all

sudo dpgg -I minimu9-ahrs_2.0.0-1_armhf.deb.1
and got the same error messages; then, as suggested, I entered

Code: Select all

sudo apt-get install --fix-missing
, which prompted me to enter

Code: Select all

sudo apt-get -f install
. After this I was up and running. Many thanks (and Happy New Year) ... hj

Return to “Automation, sensing and robotics”